ProtoCore v1.0.16
Deterministic, zero-heap network stack for embedded targets
Loading...
Searching...
No Matches
phase_machine.h File Reference

The handshake phase machine, RFC 4253 sec 4.2 through sec 10. More...

#include "protocore_config.h"

Go to the source code of this file.

Detailed Description

The handshake phase machine, RFC 4253 sec 4.2 through sec 10.

One connection walks the transport layer's own progression, then hands over to RFC 4252:

IDENT (sec 4.2) -> KEXINIT (sec 7.1) -> DH_INIT (sec 8) -> NEWKEYS (sec 7.3)
  -> SERVICE (sec 10) -> AUTH (RFC 4252) -> OPEN (RFC 4254)

and sec 9 sends an established connection back to KEXINIT for a re-exchange. The advance functions are named for the RFC event that causes them and are the only writers of the phase; the admits functions are the questions the dispatch asks before acting on a message.

Definition in file phase_machine.h.